org.springframework.batch.core.jsr.job.flow

## Class JsrFlowJob

- java.lang.Object
- - org.springframework.batch.core.job.AbstractJob
  - - org.springframework.batch.core.job.flow.FlowJob
    - - org.springframework.batch.core.jsr.job.flow.JsrFlowJob

- All Implemented Interfaces:
    Job, StepLocator, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean

      public class JsrFlowJob
      extends FlowJob

  JSR-352 specific extension of the `FlowJob`.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.job.flow.FlowJob

      `flow`

    - ### Fields inherited from class org.springframework.batch.core.job.AbstractJob

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrFlowJob()` No arg constructor (invalid state)
    `JsrFlowJob(java.lang.String name)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doExecute(JobExecution execution)` Extension point for subclasses allowing them to concentrate on processing logic and ignore listeners and repository calls.
    `protected ExitStatus` | `getDefaultExitStatusForFailure(java.lang.Throwable ex, JobExecution execution)` Default mapping from throwable to `ExitStatus`.
    `void` | `setJobExplorer(JobExplorer jobExplorer)`

    - ### Methods inherited from class org.springframework.batch.core.job.flow.FlowJob

      `getStep, getStepNames, setFlow`

    - ### Methods inherited from class org.springframework.batch.core.job.AbstractJob

      `afterPropertiesSet, execute, getJobParametersIncrementer, getJobParametersValidator, getJobRepository, getName, handleStep, isRestartable, registerJobExecutionListener, setBeanName, setJobExecutionListeners, setJobParametersIncrementer, setJobParametersValidator, setJobRepository, setName, setRestartable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrFlowJob

          public JsrFlowJob()

      No arg constructor (invalid state)

    - #### JsrFlowJob

          public JsrFlowJob(java.lang.String name)

      Main constructor
      Parameters:
        `name` - of the flow

  - ### Method Detail

    - #### setJobExplorer

          public void setJobExplorer(JobExplorer jobExplorer)

    - #### doExecute

          protected void doExecute(JobExecution execution)
                            throws JobExecutionException

      Description copied from class: `AbstractJob`
      Extension point for subclasses allowing them to concentrate on processing logic and ignore listeners and repository calls. Implementations usually are concerned with the ordering of steps, and delegate actual step processing to `AbstractJob.handleStep(Step, JobExecution)`.
      Overrides:
        `doExecute` in class `FlowJob`
      Parameters:
        `execution` - the current `JobExecution`
      Throws:
        `JobExecutionException` - to signal a fatal batch framework error (not a business or validation exception)
      See Also:
        `AbstractJob.doExecute(JobExecution)`

    - #### getDefaultExitStatusForFailure

          protected ExitStatus getDefaultExitStatusForFailure(java.lang.Throwable ex,
                                                              JobExecution execution)

      Default mapping from throwable to `ExitStatus`.
      Overrides:
        `getDefaultExitStatusForFailure` in class `AbstractJob`
      Parameters:
        `ex` - the cause of the failure
        `execution` - the `JobExecution` instance.
      Returns:
        an `ExitStatus`